AbstractGangliaSink.GangliaConfType (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.metrics2.sink.ganglia, class: AbstractGangliaSink, enum: GangliaConfType

Package org.apache.hadoop.metrics2.sink.ganglia

# Enum Class AbstractGangliaSink.GangliaConfType

java.lang.Object
java.lang.Enum<AbstractGangliaSink.GangliaConfType>
org.apache.hadoop.metrics2.sink.ganglia.AbstractGangliaSink.GangliaConfType

All Implemented Interfaces:
  `Serializable`, `Comparable<AbstractGangliaSink.GangliaConfType>`, `Constable`

Enclosing class:
  AbstractGangliaSink

public static enum AbstractGangliaSink.GangliaConfType extends Enum<AbstractGangliaSink.GangliaConfType>
define enum for various type of conf

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `dmax`
  `slope`
  `tmax`
  `units`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AbstractGangliaSink.GangliaConfType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AbstractGangliaSink.GangliaConfType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### slope

    public static final AbstractGangliaSink.GangliaConfType slope

  - ### units

    public static final AbstractGangliaSink.GangliaConfType units

  - ### dmax

    public static final AbstractGangliaSink.GangliaConfType dmax

  - ### tmax

    public static final AbstractGangliaSink.GangliaConfType tmax

- ## Method Details

  - ### values

    public static AbstractGangliaSink.GangliaConfType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AbstractGangliaSink.GangliaConfType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null